## org.ascape.query.parser
Class QTOperator

    java.lang.Object
      org.ascape.query.parser.SimpleNode
          org.ascape.query.parser.QTCriteriaSubNode
              org.ascape.query.parser.QTOperator

All Implemented Interfaces:
  Node

Direct Known Subclasses:
  QTEqual, QTNotEqual, QTStringOperatorNode, QTStringOrNumberOperatorNode

    public abstract class QTOperator

extends QTCriteriaSubNode

Field Summary

Fields inherited from class org.ascape.query.parser.SimpleNode
`children, id, parent, parser`

Constructor Summary
`QTOperator(BoolExprTree p, int i)`
`QTOperator(int i)`

Method Summary
`abstract boolean` `evaluate(QTValue compared, java.lang.Object value)`

Methods inherited from class org.ascape.query.parser.QTCriteriaSubNode
`getCriteria`

Methods inherited from class org.ascape.query.parser.SimpleNode
`dump, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QTOperator

    public QTOperator(int i)

### QTOperator

    public QTOperator(BoolExprTree p,
                      int i)

Method Detail

### evaluate

    public abstract boolean evaluate(QTValue compared,
                                     java.lang.Object value)